Installing packages on Redhat 5.5: rpmlib issues | Unix Linux Forums | Emergency UNIX and Linux Support

  Go Back    


Emergency UNIX and Linux Support Please post your urgent questions here for highest visibility. Posting a new thread to this forum requires Bits. We monitor this forum to help people with emergencies, but we do not guarantee response time or answers. This forum is "best effort" only. Members who reply to posts here receive a bonus of 1000 Bits per reply.

Installing packages on Redhat 5.5: rpmlib issues

Emergency UNIX and Linux Support


Closed Thread    
 
Thread Tools Search this Thread Display Modes
    #1  
Old 08-26-2010
DNT DNT is offline
Registered User
 
Join Date: May 2010
Last Activity: 11 December 2012, 8:02 AM EST
Location: Cape Town
Posts: 54
Thanks: 3
Thanked 0 Times in 0 Posts
Installing packages on Redhat 5.5: rpmlib issues

Hi there

I'm having trouble with a remote Red Hat server. We are busy with an Oracle 11g installation on this box and going through the list of required packages, etc.

The installation required elfutils-libelf-devel-0.148. When I try to install that I get the following error;


Code:
rpm -i elfutils-libelf-devel-0.148-1.el6.x86_64.rpm 
warning: elfutils-libelf-devel-0.148-1.el6.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID f21541eb
error: Failed dependencies:
        elfutils-libelf(x86-64) = 0.148-1.el6 is needed by elfutils-libelf-devel-0.148-1.el6.x86_64
        rpmlib(FileDigests) <= 4.6.0-1 is needed by elfutils-libelf-devel-0.148-1.el6.x86_64
        rpmlib(PayloadIsXz) <= 5.2-1 is needed by elfutils-libelf-devel-0.148-1.el6.x86_64

Then I try to install elfutils-libelf-0.148 and I get the following error;


Code:
rpm -U elfutils-libelf-0.148-1.el6.x86_64.rpm 
warning: elfutils-libelf-0.148-1.el6.x86_64.rpm: Header V3 RSA/SHA256 signature: NOKEY, key ID f21541eb
error: Failed dependencies:
        rpmlib(FileDigests) <= 4.6.0-1 is needed by elfutils-libelf-0.148-1.el6.x86_64
        rpmlib(PayloadIsXz) <= 5.2-1 is needed by elfutils-libelf-0.148-1.el6.x86_64

What is this rpmlib(FileDigests) and rpmlib(PayloadIsXz)?
I can't find these packages on the net.
Can someone please help me to understand this issue or help me solve it? The installation is quite urgent.

Thanks
D
Sponsored Links
    #2  
Old 08-26-2010
verdepollo's Avatar
verdepollo verdepollo is offline
Registered User
 
Join Date: Mar 2010
Last Activity: 7 November 2014, 1:54 AM EST
Location: Mexico
Posts: 725
Thanks: 11
Thanked 106 Times in 102 Posts
Install rpm-devel.

It should be easier to use yum though, as it automatically resolves dependency issues.
Sponsored Links
    #3  
Old 08-26-2010
DNT DNT is offline
Registered User
 
Join Date: May 2010
Last Activity: 11 December 2012, 8:02 AM EST
Location: Cape Town
Posts: 54
Thanks: 3
Thanked 0 Times in 0 Posts
Quote:
Originally Posted by verdepollo View Post
Install rpm-devel.

It should be easier to use yum though, as it automatically resolves dependency issues.
What is yum and how does it work? I only have the command line to work with.
    #4  
Old 08-26-2010
verdepollo's Avatar
verdepollo verdepollo is offline
Registered User
 
Join Date: Mar 2010
Last Activity: 7 November 2014, 1:54 AM EST
Location: Mexico
Posts: 725
Thanks: 11
Thanked 106 Times in 102 Posts
Quote:
Originally Posted by DNT View Post
What is yum and how does it work? I only have the command line to work with.
The package manager for most RHEL-based distributions:

Yellowdog Updater, Modified - Wikipedia, the free encyclopedia


If you have a RHN subscription or your own repository, you can just type 'yum install rpm-devel' and it will download/install all packages for you.
Sponsored Links
    #5  
Old 08-26-2010
DNT DNT is offline
Registered User
 
Join Date: May 2010
Last Activity: 11 December 2012, 8:02 AM EST
Location: Cape Town
Posts: 54
Thanks: 3
Thanked 0 Times in 0 Posts
Thanks. I don't have an RHN subscription though.
I've never worked on Red Hat before. I work mostly on Solaris systems. Going to have to install each package and dependency manually by the looks of it

So here's the first speed bump...


Code:
rpm -i gcc-cpp-4.1.2-7598avx.x86_64.rpm  
warning: gcc-cpp-4.1.2-7598avx.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 67f22696 
        file /usr/bin/cpp from install of gcc-cpp-4.1.2-7598avx.x86_64 conflicts with file from package cpp-4.1.2-48.el5.x86_64

Then I tried this;


Code:
rpm -U gcc-cpp-4.1.2-7598avx.x86_64.rpm  
warning: gcc-cpp-4.1.2-7598avx.x86_64.rpm: Header V3 DSA signature: NOKEY, key ID 67f22696 
        file /usr/bin/cpp from install of gcc-cpp-4.1.2-7598avx.x86_64 conflicts with file from package cpp-4.1.2-48.el5.x86_64

How now brown cow?
Sponsored Links
    #6  
Old 08-27-2010
verdepollo's Avatar
verdepollo verdepollo is offline
Registered User
 
Join Date: Mar 2010
Last Activity: 7 November 2014, 1:54 AM EST
Location: Mexico
Posts: 725
Thanks: 11
Thanked 106 Times in 102 Posts

Code:
rpm -Uv --force --nosignature gcc-cpp-4.1.2-7598avx.x86_64.rpm

Sponsored Links
    #7  
Old 09-03-2010
DNT DNT is offline
Registered User
 
Join Date: May 2010
Last Activity: 11 December 2012, 8:02 AM EST
Location: Cape Town
Posts: 54
Thanks: 3
Thanked 0 Times in 0 Posts
Hi guys

Thanks for you efforts. I have managed to get the server registered on RHN and things should go better now.
Sponsored Links
Closed Thread

Thread Tools Search this Thread
Search this Thread:

Advanced Search
Display Modes

More UNIX and Linux Forum Topics You Might Find Helpful
Thread Thread Starter Forum Replies Last Post
installing packages brian112 UNIX for Dummies Questions & Answers 1 05-27-2010 06:23 AM
Linux Redhat ES 4.0 - DNS Config Issues AbhijithS Ubuntu 11 08-04-2006 04:04 AM
Installing European Locale Packages xqtor Solaris 2 02-10-2005 11:04 AM
Redhat 9 modem login issues josramon Linux 1 12-06-2003 02:13 AM



All times are GMT -4. The time now is 02:23 AM.